Name:		irssi-xmpp
Version:	0.54
Release:	%mkrel 3
Summary:	An irssi Module to Connect to the Jabber Network
Group:		Networking/IRC
License:	GPLv2
URL:		http://cybione.org/~irssi-xmpp/
Source:		http://cybione.org/~irssi-xmpp/files/irssi-xmpp-%version.tar.gz
Patch0:		irssi-xmpp-0.53-mga-honor-cflags.patch
BuildRequires:	pkgconfig(loudmouth-1.0)
BuildRequires:	irssi-devel >= 0.8.13
Requires:	irssi >= 0.8.13

%description
irssi-xmpp is a irssi plugin to connect to the jabber network.

%prep
%autosetup -p1

%build
export IRSSI_INCLUDE="%{_includedir}/irssi" PREFIX=%{_prefix} IRSSI_LIB=%{_libdir}/irssi IRSSI_DOC=%{_defaultdocdir} RH_FLAGS="%{optflags}"

%make_build

%install
export IRSSI_INCLUDE="%{_includedir}/irssi" PREFIX=%{_prefix} IRSSI_LIB=%{_libdir}/irssi IRSSI_DOC=%{_defaultdocdir}

%make_install

%files
%doc COPYING NEWS README.md docs/*
%{_libdir}/irssi/modules/libfe_xmpp.so
%{_libdir}/irssi/modules/libxmpp_core.so
%{_libdir}/irssi/modules/libtext_xmpp.so
%{_datadir}/irssi/help/presence
%{_datadir}/irssi/help/roster
%{_datadir}/irssi/help/xmppconnect
%{_datadir}/irssi/help/xmppserver


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.54-3.mga8
+ Revision: 1513664
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.54-2.mga7
+ Revision: 1298328
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 daviddavid <daviddavid> 0.54-1.mga7
+ Revision: 1190904
- new version: 0.54

* Mon Aug 28 2017 daviddavid <daviddavid> 0.53-2.mga7
+ Revision: 1148421
- add patch to honor user CFLAGS thus fixing empty debugsourcefiles.list

* Thu Jan 26 2017 daviddavid <daviddavid> 0.53-1.mga6
+ Revision: 1083498
- new version: 0.53
- add patch to fix build against new irssi >= 1.0.0

* Thu Feb 11 2016 umeabot <umeabot> 0.52-7.mga6
+ Revision: 954645
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 0.52-6.mga6
+ Revision: 892652
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.52-5.mga5
+ Revision: 747583
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.52-4.mga5
+ Revision: 680570
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.52-3.mga4
+ Revision: 506093
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.52-2.mga3
+ Revision: 354503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 fwang <fwang> 0.52-1.mga3
+ Revision: 293638
- new version 0.52

* Sun Mar 20 2011 boklm <boklm> 0.51-1.mga1
+ Revision: 74630
- version 0.51
- imported package irssi-xmpp


* Fri Mar 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.50-1mdv2010.1
+ Revision: 514433
- Rewrite parts of spec, not use CVS.
- update to O.50
- fix source to use tar.gz (fix %%prep too)

* Tue May 19 2009 Nicolas Vigier <nvigier@mandriva.com> 0.13-4.cvs20090519.1mdv2010.0
+ Revision: 377580
- update to cvs version (much more stable than the outdated stable version, and recommended on website)
- fix license and indentation
- update URL

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.13-3mdv2009.0
+ Revision: 247277
- rebuild

* Mon Feb 11 2008 Olivier Thauvin <nanardon@mandriva.org> 0.13-1mdv2008.1
+ Revision: 165626
- import irssi-xmpp


